Description

Supportanfrage

when building the examples the install target of each mixin will try copy the osg library to the bin folder.

This may lead to the error message:

"file INSTALL cannot duplicate symlink"

Ganesh implemented a workaround in ADTF_DISPLAY_TOOLBOXMacros.cmake. Here we create a list of installation folders. If the

folder is already in the list it won't be added again:

function(disptb_install_osg OUTPUT_PATH)

set(GLOBAL_OSG_DEST $ENV{GLOBAL_OSG_DEST})

list(FIND GLOBAL_OSG_DEST ${OUTPUT_PATH} INDEX)

if(INDEX EQUAL -1)

list(APPEND GLOBAL_OSG_DEST ${OUTPUT_PATH})

set(ENV{GLOBAL_OSG_DEST} "${GLOBAL_OSG_DEST}")

else()

message(STATUS 

"Skipping installation of OSG libraries to ${OUTPUT_PATH}. Installation already scheduled in ${GLO

BAL_OSG_DEST}")

return()

endif()

disptb_find_osg()

 Note: This solution works well if we build all targets at once. If someone is only installing a single target it may happen that the osg

libraries are not installed because their installation is configured for another target.

Lösung

Ticket ADISTB-1014 im Produkt angelegt

History

#1 - 2019-09-13 08:58 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to DisplayTB::Common

- Support Level changed from 2nd Level to 3rd Level

- Customer set to AUDI

- Department set to EF

- Affected Products ADTF Display Toolbox 3.4.0 added

#2 - 2019-09-18 09:56 - hidden
- Status changed from In Progress to To Be Closed

- Resolution set to Known Problem

- Platform Ubuntu 16.04 64bit, Windows 10 64bit added

Hallo Jens,

danke fuer den Hinweis, ich habe dazu mal ein Bug Ticket angelegt.

https://www.cip.audi.de/jira/browse/ADISTB-1014

Viele Grüße

Sebastian

#3 - 2019-09-18 09:57 - hidden

- Resolution changed from Known Problem to Product Issue Opened

#4 - 2019-09-18 09:58 - hidden

- Project changed from 11 to Public Support

- Subject changed from adtf-display-toolbox 3.4.0: Race condition when installing osg libraries to Race condition when installing osg libraries

- Description updated

- Private changed from Yes to No

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ADISTB-1014

#5 - 2020-07-07 12:45 - hidden

- Status changed from To Be Closed to Closed
